Home page logo
/

nmap-dev logo Nmap Development mailing list archives

Re: Problem with Solaris Compilation - nmap-5.51
From: David Fifield <david () bamsoftware com>
Date: Thu, 2 Jun 2011 10:09:46 -0700

On Wed, Jun 01, 2011 at 01:15:44PM -0400, AL Sudduth wrote:
I have the following problem with compilation on Solaris-10/SPARC.

The top level nmap directory Makefile works correctly only with GNU
make.  However, the lower level stuff, like the included lua and
libpcap, have Makefiles which work only with Solaris make, so the
top level make fails when it tries to use the GNU make on these
directories. I can compile the included directories as a separate
exercise individually using Solaris make (/usr/ccs/bin/make), but
I'm having trouble untangling the nmap Makefile so that it doesn't
try to compile them again using GNU make and thus exiting on error.

Advice/assistance would be appreciated.  I can probably load lua,
pcap, etc., separately from source, then use the compiler switches,
but isn't there a better way?  How about a Makefile.in for each
subdirectory that is compatible with GNU make?

The makefiles in subdirectories should be compatible with GNU Make.
That's what everyone uses to build them, anyway. What version of GNU
Make do you have? Please send the error messages you get in the
subdirectories.

David Fifield
_______________________________________________
Sent through the nmap-dev mailing list
http://cgi.insecure.org/mailman/listinfo/nmap-dev
Archived at http://seclists.org/nmap-dev/


  By Date           By Thread  

Current thread:
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]